# Uses of Enum Class
org.apache.lucene.backward_codecs.lucene80.Lucene80DocValuesFormat.Mode

Packages that use Lucene80DocValuesFormat.Mode
Package
Description
org.apache.lucene.backward_codecs.lucene80
Components from the Lucene 8.0 index format.
org.apache.lucene.backward_codecs.lucene87
Lucene 8.7 file format.

- ## Uses of Lucene80DocValuesFormat.Mode in org.apache.lucene.backward_codecs.lucene80

  Methods in org.apache.lucene.backward_codecs.lucene80 that return Lucene80DocValuesFormat.Mode
  Modifier and Type
  Method
  Description
  `static Lucene80DocValuesFormat.Mode`
  Lucene80DocValuesFormat.Mode.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Lucene80DocValuesFormat.Mode[]`
  Lucene80DocValuesFormat.Mode.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Constructors in org.apache.lucene.backward_codecs.lucene80 with parameters of type Lucene80DocValuesFormat.Mode
  Modifier
  Constructor
  Description
  ``
  `Lucene80DocValuesFormat(Lucene80DocValuesFormat.Mode mode)`
  Constructor

- ## Uses of Lucene80DocValuesFormat.Mode in org.apache.lucene.backward_codecs.lucene87

  Fields in org.apache.lucene.backward_codecs.lucene87 declared as Lucene80DocValuesFormat.Mode
  Modifier and Type
  Field
  Description
  `protected final Lucene80DocValuesFormat.Mode`
  Lucene87Codec.Mode.`dvMode`
  compression mode for doc value fields